<?php

declare(strict_types=1);

/*
 *     Self-Sign Cert
 *     Copyright (C) 2017  http://blog.rewiv.com eric@rewiv.com
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require __DIR__.'/vendor/autoload.php';

$application = new \Symfony\Component\Console\Application();

$dataDir = dirname(__DIR__.'/vendor/mledoze/countries/dist/countries.json');

$application->add(new Sikofitt\Console\Command\SignCertCommand(__DIR__));
$application->add(new MLD\Console\Command\ExportCommand($dataDir.'/countries.json', __DIR__.'/data'));
$application->run();
